Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master sorcery by Andrew Stitt (cae4d9f925bbd6339784efd0ece3b493f2f3c1a6)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Andrew Stitt <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master sorcery by Andrew Stitt (cae4d9f925bbd6339784efd0ece3b493f2f3c1a6)
  • Date: Mon, 10 Jul 2006 23:01:06 -0500

GIT changes to master sorcery by Andrew Stitt <astitt AT sourcemage.org>:

ChangeLog | 9 +++++++++
usr/sbin/cast | 1 +
usr/sbin/delve | 19 +++++++++++--------
var/lib/sorcery/modules/build_api/api2 | 2 ++
var/lib/sorcery/modules/build_api/common | 10 ++++------
5 files changed, 27 insertions(+), 14 deletions(-)

New commits:
commit cae4d9f925bbd6339784efd0ece3b493f2f3c1a6
Author: Andrew Stitt <astitt AT sourcemage.org>
Commit: Andrew Stitt <astitt AT sourcemage.org>

fix bugs 12818 and 12805

commit c3ac03cf93133df66759a14c721180771c5788c4
Author: Andrew Stitt <astitt AT sourcemage.org>
Commit: Andrew Stitt <astitt AT sourcemage.org>

check for directory before running find on it. Also simplify the code.

diff --git a/ChangeLog b/ChangeLog
index 3c2d584..e82f377 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2006-07-10 Andrew Stitt <astitt AT sourcemage.org>
+ * build_api/common: export a hidden variable to delve
+ * delve: check for hidden variable and assume that we're running
+ inside cast has already provided certain things to us already (OPTS)
+ fixes bugs 12818 and 12805
+
+2006-07-03 Andrew Stitt <astitt AT sourcemage.org>
+ * build_api/common: only append to PATH if the saved binaries dir
exists
+
2006-07-03 Andrew Stitt <astitt AT sourcemage.org>
* gaze: add uninstalled basesystem depends info to system-info
* libdepends: expand compute_installed_*_depends to allow status
diff --git a/usr/sbin/cast b/usr/sbin/cast
index fa4b7e0..fb1f922 100755
--- a/usr/sbin/cast
+++ b/usr/sbin/cast
@@ -244,6 +244,7 @@ # and install_xinetd) (afk 4/10/04)

# must declare OPS before sourcing config
local OPTS
+ export OPTS
run_spell_config

local spell_depends spell_sub_depends
diff --git a/usr/sbin/delve b/usr/sbin/delve
index 39abb81..4fc5c94 100755
--- a/usr/sbin/delve
+++ b/usr/sbin/delve
@@ -71,16 +71,19 @@ ## Loads OPTS and all the other log file
## environment for spell files
#---------------------------------------------------------------------------
function delve_log_helper() {
- # must declare OPS before sourcing config
- local OPTS
- run_spell_config

- get_uncommitted_depends_file $SPELL spell_depends
- if test -e $spell_depends && test -e $ABANDONED_DEPENDS/$SPELL ; then
- cp $ABANDONED_DEPENDS/$SPELL $spell_depends
+ if ! [[ "$__DELVE_IN_CAST" ]] ; then
+ # must declare OPS before sourcing config
+ local OPTS
+ run_spell_config
+
+ get_uncommitted_depends_file $SPELL spell_depends
+ if test -e $spell_depends && test -e $ABANDONED_DEPENDS/$SPELL ; then
+ cp $ABANDONED_DEPENDS/$SPELL $spell_depends
+ fi
+ test -e $spell_depends &&
+ OPTS="$OPTS $(get_depends_options $spell_depends $SPELL)"
fi
- test -e $spell_depends &&
- OPTS="$OPTS $(get_depends_options $spell_depends $SPELL)"

# these have to go somewhere where future delves can find them
C_LOG=${C_LOG:="/tmp/sorcery/delve/$SPELL.compile.log"}
diff --git a/var/lib/sorcery/modules/build_api/api2
b/var/lib/sorcery/modules/build_api/api2
index ed15cdb..1413172 100755
--- a/var/lib/sorcery/modules/build_api/api2
+++ b/var/lib/sorcery/modules/build_api/api2
@@ -31,6 +31,7 @@ function run_build_spell() {
export C_FIFO=/dev/stdout # not needed for api2 anymore, but just in case
export S_PWD=$TMP_DIR/build.saved.pwd
export VOYEUR_STDOUT VOYEUR_STDERR
+ export __DELVE_IN_CAST=on

rm -f $IW_DBGLOG
touch $IW_DBGLOG
@@ -82,6 +83,7 @@ function run_build_spell() {
> >(tee -a $C_LOG >> $VOYEUR_STDOUT)
)
rs=$?
+ unset __DELVE_IN_CAST
if [[ $SCREEN_NAME ]] && [ $rs -gt 0 ] ; then
screen_move_window "$SCREEN_NAME" $SCREEN_CAST_WIN
$SCREEN_LAST_FAILED_CAST_WIN
screen_name_window "$SCREEN_NAME" $SCREEN_LAST_FAILED_CAST_WIN "Failed
$SPELL"
diff --git a/var/lib/sorcery/modules/build_api/common
b/var/lib/sorcery/modules/build_api/common
index d966105..14b6616 100755
--- a/var/lib/sorcery/modules/build_api/common
+++ b/var/lib/sorcery/modules/build_api/common
@@ -132,13 +132,11 @@ function real_prepare_install() { (
fi
)
# TODO this is a dirty hack we need to remove it
- for dir in $( find $SOURCE_DIRECTORY/old.binaries )
- do
- if [[ -d $dir ]]
- then
+ if test -d "$SOURCE_DIRECTORY/old.binaries" ; then
+ for dir in $( find "$SOURCE_DIRECTORY/old.binaries" -type d); do
export PATH="$dir:$PATH"
- fi
- done
+ done
+ fi
}

#---------------------------------------------------------------------



  • [SM-Commit] GIT changes to master sorcery by Andrew Stitt (cae4d9f925bbd6339784efd0ece3b493f2f3c1a6), Andrew Stitt, 07/11/2006

Archive powered by MHonArc 2.6.24.

Top of Page